<?php

namespace App\Message\Handler\Typo3;

use App\Message\Command\Typo3\Typo3UpdateCommand;
use App\Service\Typo3\Typo3Service;
use Symfony\Component\Messenger\Attribute\AsMessageHandler;

#[AsMessageHandler(priority: 1)]
class Typo3UpdateCommandHandler
{
    public function __construct(
        private Typo3Service $typo3Service
    ) {}

    /**
     * @throws \Symfony\Contracts\HttpClient\Exception\TransportExceptionInterface
     */
    public function __invoke(Typo3UpdateCommand $command): void {
        $this->typo3Service->updateSite($command->getOrganizationId());
    }
}
